org.apache.cassandra.cql3

## Interface CQL3Type

All Known Implementing Classes:
  CQL3Type.Collection, CQL3Type.Custom, CQL3Type.Native, CQL3Type.Tuple, CQL3Type.UserDefined

    public interface CQL3Type

### Nested Class Summary

Nested Classes
`static class` `CQL3Type.Collection`
`static class` `CQL3Type.Custom`
`static class` `CQL3Type.Native`
`static class` `CQL3Type.Raw`
`static class` `CQL3Type.Tuple`
`static class` `CQL3Type.UserDefined`

### Field Summary

Fields
`static org.slf4j.Logger` `logger`

### Method Summary

All Methods Instance Methods Abstract Methods
`AbstractType<?>` `getType()`
`boolean` `isCollection()`

### Field Detail

#### logger

    static final org.slf4j.Logger logger

### Method Detail

#### isCollection

    boolean isCollection()

#### getType

    AbstractType<?> getType()